#
# spec file for package plasma5-session
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           plasma5-session
Version:        5.8.3
Release:        1.1
Summary:        The KDE Session
License:        GPL-2.0+
Group:          System/GUI/KDE
Url:            http://www.kde.org/
Source1:        plasma5.desktop
Source2:        COPYING
Source3:        kde-plasma.desktop
Source4:        plasmawayland.desktop
BuildRequires:  kf5-filesystem
Requires:       breeze >= %{version}
Requires:       breeze4-style >= %{version}
Requires:       breeze5-decoration >= %{version}
# needed for displaying the handbooks of KDE applications in a Plasma5 session (boo#980068)
Requires:       khelpcenter5
Requires:       khotkeys5 >= 5.8.2
Requires:       kwin5 >= %{version}
Requires:       libkscreen2-plugin >= 5.8.2
Requires:       plasma-nm5 >= 5.8.2
Requires:       plasma5-desktop >= %{version}
Requires:       plasma5-workspace >= %{version}
Requires:       polkit-kde-agent-5 >= 5.8.2
Requires:       powerdevil5 >= %{version}
Requires:       systemsettings5 >= 5.8.2
%if 0%{?suse_version} > 1314 && "%{suse_version}" != "1320"
Provides:       kdebase4-session = %{version}
Obsoletes:      kdebase4-session < %{version}
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       update-desktop-files
Requires(pre):  /usr/bin/sed /usr/bin/grep /usr/bin/cut

%description
This package contains the startup scripts necessary to start a KDE
session from kdm.

%package wayland
Summary:        The KDE Wayland session
Group:          System/GUI/KDE
Requires:       %{name} >= %{version}
Requires:       kwayland-integration >= %{version}
Requires:       libqt5-qtwayland
Requires:       xf86-input-libinput
Requires:       xorg-x11-server-wayland

%description wayland
This package contains the startup scripts necessary to start a KDE
session from display managers.

%prep

%build

%install
install -m 0755 -d %{buildroot}%{_datadir}/xsessions/
# Leap 42.1 doesn't have XWayland
%if 0%{?suse_version} > 1320
install -m 0755 -d %{buildroot}%{_datadir}/wayland-sessions/
%endif
# write version number into plasma5.desktop, this is displayed by KInfocenter as Plasma version
echo "X-KDE-PluginInfo-Version=%{version}" >> %{SOURCE1}
echo "X-KDE-PluginInfo-Version=%{version}" >> %{SOURCE4}
cp %{SOURCE1} %{buildroot}%{_datadir}/xsessions/
# Leap 42.1 doesn't have XWayland
%if 0%{?suse_version} > 1320
cp %{SOURCE4} %{buildroot}%{_datadir}/wayland-sessions/
%endif
%if 0%{?suse_version} > 1314 && "%{suse_version}" != "1320"
echo "X-KDE-PluginInfo-Version=%{version}" >> %{SOURCE3}
cp %{SOURCE3} %{buildroot}%{_datadir}/xsessions/
%endif
install -D -m644 %{SOURCE2} %{buildroot}%{_datadir}/doc/packages/plasma5-session/COPYING
# Leap 42.1 doesn't have XWayland
%if 0%{?suse_version} > 1320
install -D -m644 %{SOURCE2} %{buildroot}%{_datadir}/doc/packages/plasma5-session-wayland/COPYING
%endif

%post
# Reset the DEFAULT_WM value for KDE upgrade compatibility
if [ -f /etc/sysconfig/windowmanager ]; then
    OLD_DEFAULTWM=`grep "DEFAULT_WM" /etc/sysconfig/windowmanager | cut -d '=' -f 2 | cut -d '"' -f 2`
fi

if [ -f /var/adm/fillup-templates/sysconfig.windowmanager ]; then
    TEMPLATE_DEFAULTWM=`grep "DEFAULT_WM" /var/adm/fillup-templates/sysconfig.windowmanager | cut -d '=' -f 2 | cut -d '"' -f 2`
fi

# Check the old DEFAULT_WM and whether current DEFAULT_WM exists
if [ "$OLD_DEFAULTWM" = "startkde4" ] || [ "$OLD_DEFAULTWM" = "startkde" ] || [ "$OLD_DEFAULTWM" = "kde4" ]; then
    if [ -n "$TEMPLATE_DEFAULTWM" ] && [ "$OLD_DEFAULTWM" != "$TEMPLATE_DEFAULTWM" ]; then
        sed -i -e "s/^DEFAULT_WM=['\"]\?kde.*/DEFAULT_WM=\"${TEMPLATE_DEFAULTWM}\"/g" /etc/sysconfig/windowmanager
    fi
fi

%files
%defattr(-,root,root)
%{_datadir}/xsessions/plasma5.desktop
%if 0%{?suse_version} > 1314 && "%{suse_version}" != "1320"
%{_datadir}/xsessions/kde-plasma.desktop
%endif
%dir %{_datadir}/doc/packages/plasma5-session
%{_datadir}/doc/packages/plasma5-session/COPYING

# Leap 42.1 doesn't have XWayland
%if 0%{?suse_version} > 1320
%files wayland
%{_datadir}/wayland-sessions/plasmawayland.desktop
%dir %{_datadir}/wayland-sessions/
%dir %{_datadir}/doc/packages/plasma5-session-wayland
%{_datadir}/doc/packages/plasma5-session-wayland/COPYING
%endif

%changelog
* Wed Nov  9 2016 fabian@ritter-vogt.de
- Only require version 5.8.3 of packages that actually changed
* Tue Nov  1 2016 fabian@ritter-vogt.de
- Update to 5.8.3
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.3.php
* Tue Oct 18 2016 fabian@ritter-vogt.de
- Update to 5.8.2
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.2.php
* Tue Oct 11 2016 fabian@ritter-vogt.de
- Update to 5.8.1
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.1.php
* Sun Oct  9 2016 wbauer@tmo.at
- Require khelpcenter5, susehelp (only) tries to run this in a
  Plasma5 session to open the handbooks of KDE applications
  (boo#980068)
* Thu Sep 29 2016 fabian@ritter-vogt.de
- Update to 5.8.0
  * New LTS feature release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.0.php
* Thu Sep 15 2016 fabian@ritter-vogt.de
- Update to 5.7.95 (Plasma 5.8 Beta)
  * New LTS feature release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.95.php
* Tue Sep 13 2016 fabian@ritter-vogt.de
- Update to 5.7.5
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.5.php
* Fri Aug 26 2016 fabian@ritter-vogt.de
- Update to 5.7.4
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.4.php
* Tue Aug  2 2016 hrvoje.senjan@gmail.com
- Bump to 5.7.3
* Wed Jul 20 2016 hrvoje.senjan@gmail.com
- Bump to 5.7.2
* Wed Jul 13 2016 hrvoje.senjan@gmail.com
- Bump to 5.7.1
* Thu Jun 30 2016 hrvoje.senjan@gmail.com
- Bump to 5.7.0
* Sun May 15 2016 hrvoje.senjan@gmail.com
- Bump to 5.6.4
* Wed May  4 2016 wbauer@tmo.at
- Reset the DEFAULT_WM value in %%post for KDE upgrade compatibility,
  script taken from kdebase4-session (boo#978454)
* Tue Apr 19 2016 hrvoje.senjan@gmail.com
- Bump to 5.6.3
* Tue Apr  5 2016 hrvoje.senjan@gmail.com
- Bump to 5.6.2
* Tue Mar 29 2016 hrvoje.senjan@gmail.com
- Bump to 5.6.1
* Tue Mar  1 2016 hrvoje.senjan@gmail.com
- Bump to 5.5.5
* Mon Feb  8 2016 hrvoje.senjan@gmail.com
- Disable build of wayland subpackage for Leap and older distros:
  they don't have XWayland
- Add correct requires to the wayland subpackage
* Tue Jan 26 2016 hrvoje.senjan@gmail.com
- Bump to 5.5.4
* Wed Jan  6 2016 hrvoje.senjan@gmail.com
- Bump to 5.5.3
* Tue Dec 22 2015 hrvoje.senjan@gmail.com
- Bump to 5.5.2
* Tue Dec 15 2015 hrvoje.senjan@gmail.com
- Bump to 5.5.1
* Sat Dec 12 2015 hrvoje.senjan@gmail.com
- Bump to 5.5.0
- Split the wayland session into separate package
* Sun Nov  8 2015 hrvoje.senjan@gmail.com
- Bump to 5.4.3
* Sun Oct  4 2015 hrvoje.senjan@gmail.com
- Bump to 5.4.2
* Thu Sep 10 2015 hrvoje.senjan@gmail.com
- Bump to 5.4.1
* Wed Sep  9 2015 wbauer@tmo.at
- Write current version number into plasma5.desktop during build,
  this is displayed by KInfocenter as Plasma version and therefore
  always should be up-to-date
* Sun Aug 16 2015 hrvoje.senjan@gmail.com
- Bump to 5.3.95
* Thu Jul 23 2015 mlin@suse.com
- Fix those version condition for 42
* Sun Jun 28 2015 hrvoje.senjan@gmail.com
- Bump to 5.3.2
* Fri May 22 2015 hrvoje.senjan@gmail.com
- Bump to 5.3.1
* Sun May 17 2015 hrvoje.senjan@gmail.com
- Add Versioned Provides/Obsoletes for kdebase4-session
* Wed May  6 2015 hrvoje.senjan@gmail.com
- Install kde-plasma.desktop on openSUSE > 13.2, so autologin
  for upgraders which have kdm (or other DM default) still works
  correctly after upgrade to Plasma 5. We're not renaming existing
  plasma5.desktop so it doesn't disrupt exist users of Plasma 5
* Thu Apr 23 2015 hrvoje.senjan@gmail.com
- Bump to 5.3.0
- Obsolete kdebase4-session for openSUSE > 13.2
* Wed Apr 15 2015 hrvoje.senjan@gmail.com
- Bump to 5.2.95
* Fri Mar 20 2015 hrvoje.senjan@gmail.com
- Bump to 5.2.2
* Fri Feb 20 2015 hrvoje.senjan@gmail.com
- Bump to 5.2.1
* Sun Jan 25 2015 hrvoje.senjan@gmail.com
- Bump to 5.2.0
* Thu Jan 15 2015 hrvoje.senjan@gmail.com
- Bump to 5.1.95
- Version the Requires
* Sun Dec 21 2014 hrvoje.senjan@gmail.com
- Bump to 5.1.2
* Fri Sep 26 2014 hrvoje.senjan@gmail.com
- Bump to 5.0.95
- Add version info also to desktop file
- Require breeze4-style
* Fri Jul  4 2014 hrvoje.senjan@gmail.com
- Activate plasma5-session package
